package com.zd.laboratory.utils.word;

import com.deepoove.poi.data.RowRenderData;

/**
 * 3.隐患整改报告模板
 * @author liubo
 */
public class Word3 {
    /**
     * 学院名称
     */
    private String dept_name;
    /**
     * 实验室名称
     */
    private String sub_name;
    /**
     * 检查年
     */
    private String check_year;
    /**
     * 检查月
     */
    private String check_month;
    /**
     * 检查日
     */
    private String check_day;
    /**
     * 编号
     */
    private String code;

    /**
     * 整改隐患数量
     */
    private String count;
    /**
     * 当前年
     */
    private String now_year;
    /**
     * 当前月
     */
    private String now_month;
    /**
     * 当前日
     */
    private String now_day;
    /**
     * 检查房间号
     */
    private String check_room;
    /**
     * 检查人员名称
     */
    private String check_nick_name;
    /**
     * 检查机构电子签章
     */
    private SignPictureRenderData check_dept_sign;
    /**
     * 已完成整改数量
     */
    private String finish_count;
    /**
     * 未完成整改数量
     */
    private String un_count;

    public class Detail extends RowRenderData {
        /**
         * 序号
         */
        private String index = "";
        /**
         * 条款号 - 检查项编号
         */
        private String option_code;
        /**
         * 隐患描述
         */
        private String check_desc = "";
        /**
         * 隐患图片 - 多个
         */
//        private String check_img = "";

        public String getIndex() {
            return index;
        }

        public void setIndex(String index) {
            this.index = index;
        }

        public String getOption_code() {
            return option_code;
        }

        public void setOption_code(String option_code) {
            this.option_code = option_code;
        }

        public String getCheck_desc() {
            return check_desc;
        }

        public void setCheck_desc(String check_desc) {
            this.check_desc = check_desc;
        }
    }

    public class Descs extends RowRenderData {
        /**
         * 序号
         */
        private String index = "";
        /**
         * 检查项名称
         */
        private String check_option_name;
        /**
         * 隐患描述
         */
        private String check_desc = "";
        /**
         * 原因分析
         */
        private String check_cause;
        /**
         * 整改措施与结果
         */
        private String check_result;
        /**
         * 隐患图片 - 多个
         */
        private String check_img1 = "";
        /**
         * 隐患图片 - 多个
         */
        private String check_img2 = "";
        /**
         * 隐患图片 - 多个
         */
        private String check_img3 = "";
        /**
         * 隐患图片 - 多个
         */
        private String check_img4 = "";
        /**
         * 隐患图片 - 多个
         */
        private String check_img5 = "";

        public String getIndex() {
            return index;
        }

        public void setIndex(String index) {
            this.index = index;
        }

        public String getCheck_desc() {
            return check_desc;
        }

        public void setCheck_desc(String check_desc) {
            this.check_desc = check_desc;
        }

        public String getCheck_option_name() {
            return check_option_name;
        }

        public void setCheck_option_name(String check_option_name) {
            this.check_option_name = check_option_name;
        }

        public String getCheck_img1() {
            return check_img1;
        }

        public void setCheck_img1(String check_img1) {
            this.check_img1 = check_img1;
        }

        public String getCheck_img2() {
            return check_img2;
        }

        public void setCheck_img2(String check_img2) {
            this.check_img2 = check_img2;
        }

        public String getCheck_img3() {
            return check_img3;
        }

        public void setCheck_img3(String check_img3) {
            this.check_img3 = check_img3;
        }

        public String getCheck_img4() {
            return check_img4;
        }

        public void setCheck_img4(String check_img4) {
            this.check_img4 = check_img4;
        }

        public String getCheck_img5() {
            return check_img5;
        }

        public void setCheck_img5(String check_img5) {
            this.check_img5 = check_img5;
        }

        public String getCheck_cause() {
            return check_cause;
        }

        public void setCheck_cause(String check_cause) {
            this.check_cause = check_cause;
        }

        public String getCheck_result() {
            return check_result;
        }

        public void setCheck_result(String check_result) {
            this.check_result = check_result;
        }
    }

    public String getDept_name() {
        return dept_name;
    }

    public void setDept_name(String dept_name) {
        this.dept_name = dept_name;
    }

    public String getSub_name() {
        return sub_name;
    }

    public void setSub_name(String sub_name) {
        this.sub_name = sub_name;
    }

    public String getCheck_year() {
        return check_year;
    }

    public void setCheck_year(String check_year) {
        this.check_year = check_year;
    }

    public String getCheck_month() {
        return check_month;
    }

    public void setCheck_month(String check_month) {
        this.check_month = check_month;
    }

    public String getCheck_day() {
        return check_day;
    }

    public void setCheck_day(String check_day) {
        this.check_day = check_day;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public String getNow_year() {
        return now_year;
    }

    public void setNow_year(String now_year) {
        this.now_year = now_year;
    }

    public String getNow_month() {
        return now_month;
    }

    public void setNow_month(String now_month) {
        this.now_month = now_month;
    }

    public String getNow_day() {
        return now_day;
    }

    public void setNow_day(String now_day) {
        this.now_day = now_day;
    }

    public String getCheck_room() {
        return check_room;
    }

    public void setCheck_room(String check_room) {
        this.check_room = check_room;
    }

    public String getCheck_nick_name() {
        return check_nick_name;
    }

    public void setCheck_nick_name(String check_nick_name) {
        this.check_nick_name = check_nick_name;
    }

    public String getFinish_count() {
        return finish_count;
    }

    public void setFinish_count(String finish_count) {
        this.finish_count = finish_count;
    }

    public String getUn_count() {
        return un_count;
    }

    public void setUn_count(String un_count) {
        this.un_count = un_count;
    }

    public SignPictureRenderData getCheck_dept_sign() {
        return check_dept_sign;
    }

    public void setCheck_dept_sign(SignPictureRenderData check_dept_sign) {
        this.check_dept_sign = check_dept_sign;
    }
}
